| Earth Observation Mission CFI Software DataHandling Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.DorisHeader Class Reference

Class to store DORIS navigator files header. More...

List of all members.

## Public Member Functions
| DorisHeader ()
| Constructor.
| DorisHeader (String fileNam, String sensStart, String sensStop, long relOrbi, long absOrbi, double delta_Ut1, String leap_Utc, int leap_Sign, int leap_Err, long num_Dsd, long ds_Offset, long num_Dsr)
| Constructor with parameters that are read from file.
| DorisHeader (String fileNam, String sensStart, String sensStop, long relOrbi, long absOrbi, double delta_Ut1, String leap_Utc, int leap_Sign, int leap_Err, long num_Dsd, long ds_Offset, long num_Dsr, String procStageCod, String ref_Doc, String procTim, String softVersion, String phaseIn, long cycleIn, String stateVectorTim, double xPos, double yPos, double zPos, double xVel, double yVel, double zVel, String stateVectSource, String prodErr, long tot_Size, long numDataSet, String sphDesc, String sensStartTai, long absOrbStart, double relTimAscNodeStart, String sensStopTai, long absOrbStop, double relTimAscNodeStop, String equator_CrossTime, long equator_CrossLong, String ascendFlag, long start_Lat, long start_Long, long stop_Lat, long stop_Long, long num_Isps, long numMissIsps, long numErrIsps, long numDiscardIsps, long num_RsIsps, long num_RsCorrections, long dsr_Size)
| Constructor with all the parameters.
## Public Attributes
String | fileName
String | sensingStart
| UTC.
String | sensingStop
| UTC.
long | relOrbit
long | absOrbit
double | deltaUt1
String | leapUtc
int | leapSign
int | leapErr
long | numDsd
long | dsOffset
long | numDsr
String | procStageCode
String | refDoc
String | procTime
String | softwareVersion
String | phase
long | cycle
String | stateVectorTime
double | xPosition
double | yPosition
double | zPosition
double | xVelocity
double | yVelocity
double | zVelocity
String | stateVectorSource
String | productErr
long | totSize
long | numDataSets
String | sphDescriptor
String | sensingStartTai
| TAI.
long | absOrbitStart
double | relTimeAscNodeStart
String | sensingStopTai
| TAI.
long | absOrbitStop
double | relTimeAscNodeStop
String | equatorCrossTime
long | equatorCrossLong
String | ascendingFlag
long | startLat
long | startLong
long | stopLat
long | stopLong
long | numIsps
long | numMissingIsps
long | numErrorIsps
long | numDiscardedIsps
long | numRsIsps
long | numRsCorrections
long | dsrSize

## Detailed Description

Class to store DORIS navigator files header.

## Constructor & Destructor Documentation

EECFI.DorisHeader.DorisHeader | ( |  | ) |

Constructor.

EECFI.DorisHeader.DorisHeader | ( | String | fileNam,
|  | String | sensStart,
|  | String | sensStop,
|  | long | relOrbi,
|  | long | absOrbi,
|  | double | delta_Ut1,
|  | String | leap_Utc,
|  | int | leap_Sign,
|  | int | leap_Err,
|  | long | num_Dsd,
|  | long | ds_Offset,
|  | long | num_Dsr |
| ) |  |  |

Constructor with parameters that are read from file.

EECFI.DorisHeader.DorisHeader | ( | String | fileNam,
|  | String | sensStart,
|  | String | sensStop,
|  | long | relOrbi,
|  | long | absOrbi,
|  | double | delta_Ut1,
|  | String | leap_Utc,
|  | int | leap_Sign,
|  | int | leap_Err,
|  | long | num_Dsd,
|  | long | ds_Offset,
|  | long | num_Dsr,
|  | String | procStageCod,
|  | String | ref_Doc,
|  | String | procTim,
|  | String | softVersion,
|  | String | phaseIn,
|  | long | cycleIn,
|  | String | stateVectorTim,
|  | double | xPos,
|  | double | yPos,
|  | double | zPos,
|  | double | xVel,
|  | double | yVel,
|  | double | zVel,
|  | String | stateVectSource,
|  | String | prodErr,
|  | long | tot_Size,
|  | long | numDataSet,
|  | String | sphDesc,
|  | String | sensStartTai,
|  | long | absOrbStart,
|  | double | relTimAscNodeStart,
|  | String | sensStopTai,
|  | long | absOrbStop,
|  | double | relTimAscNodeStop,
|  | String | equator_CrossTime,
|  | long | equator_CrossLong,
|  | String | ascendFlag,
|  | long | start_Lat,
|  | long | start_Long,
|  | long | stop_Lat,
|  | long | stop_Long,
|  | long | num_Isps,
|  | long | numMissIsps,
|  | long | numErrIsps,
|  | long | numDiscardIsps,
|  | long | num_RsIsps,
|  | long | num_RsCorrections,
|  | long | dsr_Size |
| ) |  |  |

Constructor with all the parameters.

## Member Data Documentation

long EECFI.DorisHeader.absOrbit

long EECFI.DorisHeader.absOrbitStart

long EECFI.DorisHeader.absOrbitStop

String EECFI.DorisHeader.ascendingFlag

long EECFI.DorisHeader.cycle

double EECFI.DorisHeader.deltaUt1

long EECFI.DorisHeader.dsOffset

long EECFI.DorisHeader.dsrSize

long EECFI.DorisHeader.equatorCrossLong

String EECFI.DorisHeader.equatorCrossTime

String EECFI.DorisHeader.fileName

int EECFI.DorisHeader.leapErr

int EECFI.DorisHeader.leapSign

String EECFI.DorisHeader.leapUtc

long EECFI.DorisHeader.numDataSets

long EECFI.DorisHeader.numDiscardedIsps

long EECFI.DorisHeader.numDsd

long EECFI.DorisHeader.numDsr

long EECFI.DorisHeader.numErrorIsps

long EECFI.DorisHeader.numIsps

long EECFI.DorisHeader.numMissingIsps

long EECFI.DorisHeader.numRsCorrections

long EECFI.DorisHeader.numRsIsps

String EECFI.DorisHeader.phase

String EECFI.DorisHeader.procStageCode

String EECFI.DorisHeader.procTime

String EECFI.DorisHeader.productErr

String EECFI.DorisHeader.refDoc

long EECFI.DorisHeader.relOrbit

double EECFI.DorisHeader.relTimeAscNodeStart

double EECFI.DorisHeader.relTimeAscNodeStop

String EECFI.DorisHeader.sensingStart

UTC.

String EECFI.DorisHeader.sensingStartTai

TAI.

String EECFI.DorisHeader.sensingStop

UTC.

String EECFI.DorisHeader.sensingStopTai

TAI.

String EECFI.DorisHeader.softwareVersion

String EECFI.DorisHeader.sphDescriptor

long EECFI.DorisHeader.startLat

long EECFI.DorisHeader.startLong

String EECFI.DorisHeader.stateVectorSource

String EECFI.DorisHeader.stateVectorTime

long EECFI.DorisHeader.stopLat

long EECFI.DorisHeader.stopLong

long EECFI.DorisHeader.totSize

double EECFI.DorisHeader.xPosition

double EECFI.DorisHeader.xVelocity

double EECFI.DorisHeader.yPosition

double EECFI.DorisHeader.yVelocity

double EECFI.DorisHeader.zPosition

double EECFI.DorisHeader.zVelocity